Page MenuHomePhabricator

Issues with dialog sizing on first open
Closed, ResolvedPublic

Description

Screenshot

Steps to reproduce:

  1. Open a page with VE
  2. Edit something in the edit mode
  3. Click on Read from the menu bar to navigate away from VE
  4. Observe the Confirmation dialog for discarding the edit

Observed Result:
There is a scroll bar appearing for the text area of the confirmation message and the buttons for "Discard edit" and "Continue Edit" are on top of each other instead of being next to each other.

More visible with the "Message dialog (verbose)" from OOUI demo – first and next open side-by-side:

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:29 AM
bzimport added a project: OOUI.
bzimport set Reference to bz70061.
Ryasmeen created this task.Aug 26 2014, 7:47 PM

Now fixed by Roan, I think.

It may no longer be happening in this particular instance, but we definitely still have bugs with button placement and sizing on first open in OOUI.

Eurgh, apparently not. :-(

Are there are particular issues known? Or reproduction instructions? This is "high priority" and completely not actionable :(

Bumping down priority until Roan gives reproductions steps.

  • Bug 73376 has been marked as a duplicate of this bug. ***

This has got a lot worse. :-(

Jdforrester-WMF moved this task from Backlog to Next-up on the OOUI board.Nov 24 2014, 2:38 AM

Can also be reproduced in the OOUI demo now.

matmarex renamed this task from OOjs UI: Issues with button placement and sizing on first open to OOjs UI: Issues with dialog button placement and sizing on first open.Nov 24 2014, 6:20 PM
matmarex set Security to None.
matmarex updated the task description. (Show Details)Nov 24 2014, 7:52 PM

I'm going to reopen bug 73376 (T75376), I think that's a different issue. (I just fixed that and this is still happening; calling .setSize() on a window that just opened changes its size slightly.)

matmarex updated the task description. (Show Details)Nov 24 2014, 8:38 PM
matmarex renamed this task from OOjs UI: Issues with dialog button placement and sizing on first open to OOjs UI: Issues with dialog sizing on first open.Nov 24 2014, 8:47 PM
matmarex updated the task description. (Show Details)

Change 175743 had a related patch set uploaded (by Bartosz Dziewo?ski):
Window: Disable transitions when changing window height to calculate content height

https://gerrit.wikimedia.org/r/175743

Patch-For-Review

Jdforrester-WMF renamed this task from OOjs UI: Issues with dialog sizing on first open to Issues with dialog sizing on first open.Nov 25 2014, 5:14 PM
Jdforrester-WMF assigned this task to matmarex.
Jdforrester-WMF moved this task from Next-up to Doing on the OOUI board.

Change 175782 had a related patch set uploaded (by Bartosz Dziewo?ski):
MessageDialog: Add Firefox hack for scrollbars when sizing dialogs

https://gerrit.wikimedia.org/r/175782

Patch-For-Review

For posterity, here are screenshots of the Firefox bug the patch above fixes:

Without the hackWith the hack

Change 175926 had a related patch set uploaded (by Bartosz Dziewo?ski):
MessageDialog: Actually correctly calculate and set height

https://gerrit.wikimedia.org/r/175926

Patch-For-Review

Change 175743 merged by jenkins-bot:
Window: Disable transitions when changing window height to calculate content height

https://gerrit.wikimedia.org/r/175743

Change 175782 merged by jenkins-bot:
MessageDialog: Add Firefox hack for scrollbars when sizing dialogs

https://gerrit.wikimedia.org/r/175782

Change 175926 merged by jenkins-bot:
MessageDialog: Actually correctly calculate and set height

https://gerrit.wikimedia.org/r/175926

This should be all fixed now. Rigorous testing would be very useful, though.

Checked in prod/test2/beta - Chrome, FF, and Safari.

RandomDSdevel rescinded a token.
RandomDSdevel awarded a token.
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:59 PM